/*-------------------------------------------------------------------------
	SunClock

	Amiga version by Mark Waggoner, 
	waggoner@ichips.intel.com or wagnell@PDaXcess.techbook.com
	December 1991

	Menus.c
	Menus for the SunClock program
-------------------------------------------------------------------------*/
#include <intuition/intuition.h>
#include <graphics/text.h>

/*** everything is in 8 point topaz font ***/
struct TextAttr	MenuFont	= {(UBYTE *)"topaz.font",8,FS_NORMAL,FPF_ROMFONT};

/*************************/
/***** Item Text     *****/
/*************************/
struct IntuiText
		AboutIText	=	{0,1,JAM1,0,1,&MenuFont,(UBYTE *)"   About",NULL},
		IconizeIText=	{0,1,JAM1,0,1,&MenuFont,(UBYTE *)"   Iconize",NULL},
		QuitIText	=	{0,1,JAM1,0,1,&MenuFont,(UBYTE *)"   Quit",NULL},
;


/******************************/
/*****    Item Structures *****/
/******************************/
struct MenuItem
ProjectItems[]	=	{
					{&ProjectItems[1], 0, 0, 105, 10, 
						ITEMENABLED | ITEMTEXT | HIGHCOMP,
						0, (APTR)&AboutIText, NULL, NULL, NULL, NULL },
					{&ProjectItems[2], 0, 10, 105, 10, 
						ITEMENABLED | ITEMTEXT | HIGHCOMP | 
						MENUTOGGLE | CHECKIT | CHECKED,
						0, (APTR)&IconizeIText, NULL, NULL, NULL, NULL },
					{ NULL,            0, 20, 105, 10, 
						ITEMENABLED | ITEMTEXT | COMMSEQ | HIGHCOMP,
						0, (APTR)&QuitIText, NULL, 'Q', NULL, NULL },
					},
;

struct Menu 
	ProjectMenu	=
		{ NULL, 3, 0, 78, 10, 
			MENUENABLED, " Project", &ProjectItems[0] },
;
