
#define PI 3.14159265358979323846

/* Extract sign */
#define sgn(x) (((x) < 0) ? -1 : ((x) > 0 ? 1 : 0))
/* Degree->Radian */
#define dtr(x) ((x) * (PI / 180.0))
/* Radian->Degree */
#define rtd(x) ((x) / (PI / 180.0))
/* Fix angle	  */
#define fixangle(a) ((a) - 360.0 * (floor((a) / 360.0)))

#define TERMINC  100		   /* Circle segments for terminator */

#define PROJINT  (60 * 10)	   /* Frequency of seasonal recalculation
				      in seconds. */

/* astro.c */
long jdate(struct tm *t);
double jtime(struct tm *t);
double kepler(double m, double ecc);
int sunpos(double jd, int apparent, double *ra, double *dec, double *rv, double *slong);
double gmst(double jd);
